Disputes
3 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/disputesList all Disputes
Returns a list of Disputes. The Disputes are sorted with the most recently created appearing first.
Query parameters
charge_idstringoptionalOnly returns disputes for the charge specified by this charge ID.
include_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive).created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive).statusarray of string (warning_needs_response | warning_under_review | warning_closed | needs_response | under_review | closed | won | lost)optionalString indicating the status to filter the result by.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of Disputerequired
/v1/disputes/{id}Get a Dispute
Retrieves the details of an existing Dispute.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200Dispute
account_idstringrequiredThe ID of the Account associated with this dispute.
amountnumberrequiredAmount of the charge that is in dispute in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). If the dispute is type
chargebackthe amount has already been deducted from your account balance and can only be restored by submitting evidence proving the validity of the charge.balance_transactionsarray of BalanceTransactionrequiredThe balance transactions that describes the impact of this dispute on your account balance.
charge_idstringrequiredThe ID of the Charge associated with this dispute.
closing_atstring date-timeoptionalTime at which the supporting evidence is due and the dispute will be closed with no response.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
evidenceDisputeEvidenceoptionalEvidence submitted to challenge the dispute.
idstringrequiredUnique identifier for the object.
losing_atstring date-timeoptionalTime at which the a dispute will be marked lost.
reason_descriptionstringoptionalDescription explaining the reason for a dispute
reversed_atstring date-timeoptionalTime at which the dispute was reversed.
statusstring (warning_needs_response | warning_under_review | warning_closed | needs_response | under_review | closed | won | lost)requiredCurrent status of the dispute.
status_historyarray of DisputeStatusHistoryrequiredStatus history of the dispute.
updated_atstring date-timerequiredTime at which the object was updated.
/v1/disputes/{id}Create Dispute Evidence
Creates Dispute evidence. Dispute evidence can only be submitted prior to the closing_at date.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
descriptionstringoptionalDescription of the evidence submitted to challenge the dispute.
filesarray of DisputeFileCreateParamsoptionalEvidentiary files to attach to the dispute.
file_idstringrequiredThe id of the file.
typestring (customer_communications | refund_policy | cancellation_policy | customer_signature | receipt | service_documentation | duplicate_charge_documentation | shipping_documentation | …)requiredThe type of evidence provided in the file.
Responses
201Dispute
account_idstringrequiredThe ID of the Account associated with this dispute.
amountnumberrequiredAmount of the charge that is in dispute in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). If the dispute is type
chargebackthe amount has already been deducted from your account balance and can only be restored by submitting evidence proving the validity of the charge.balance_transactionsarray of BalanceTransactionrequiredThe balance transactions that describes the impact of this dispute on your account balance.
charge_idstringrequiredThe ID of the Charge associated with this dispute.
closing_atstring date-timeoptionalTime at which the supporting evidence is due and the dispute will be closed with no response.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
evidenceDisputeEvidenceoptionalEvidence submitted to challenge the dispute.
idstringrequiredUnique identifier for the object.
losing_atstring date-timeoptionalTime at which the a dispute will be marked lost.
reason_descriptionstringoptionalDescription explaining the reason for a dispute
reversed_atstring date-timeoptionalTime at which the dispute was reversed.
statusstring (warning_needs_response | warning_under_review | warning_closed | needs_response | under_review | closed | won | lost)requiredCurrent status of the dispute.
status_historyarray of DisputeStatusHistoryrequiredStatus history of the dispute.
updated_atstring date-timerequiredTime at which the object was updated.
